//DecouperDocument_416f.js
// 18.01.15 / Hans Haesler, Chtelard 52, CH-1018 Lausanne
//DESCRIPTION:Dcouper un document en plusieurs parts

// activer l'affichage des dialogues
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

// tester s'il y a un document ouvert
if (app.documents.length == 0) {
	alert ("Il n'y a pas de document ouvert.", "Attention");
	exit();
}

// le document au premier plan
var curDoc = app.documents[0];

// extraire le nom du dossier et le nom du document
try {
	var docFol   = curDoc.filePath;
	var docName  = curDoc.name;
	var folName  = (curDoc.name.split(".indd"))[0];
	if (docName == folName) { folName = folName + "_f"; }
	docName      = (docName.split(".indd"))[0];
	var docPath    = curDoc.fullName;
	var totPages   = (curDoc.pages.length)*1;
	var totSpreads = (curDoc.spreads.length)*1;
	var firstPage  = (curDoc.pages[0].name);
}
catch (e) {
	alert ("Enregistrer le document.", "Attention");
	exit();
}

// appeler la fonction qui lit les rglages enregistrs
var allPrefs  = getPrefs();
if (allPrefs != "") {
	var prefVal = allPrefs.split("\n");
	var rVal    = prefVal[0];
	var rb01    = 1;
	var rb02    = rb03 = rb04 = rb05 = rb06 = rb07 = rb08 = rb09 = rb10 = rb11 = 0;
	if (rVal   == "1") {
		rb01 = 0;
		rb02 = 1;
	}
	else if (rVal == "2") {
		rb01 = 0;
		rb03 = 1;
	}
	else if (rVal == "3") {
		rb01 = 0;
		rb04 = 1;
	}
	else if (rVal == "4") {
		rb01 = 0;
		rb05 = 1;
	}
	else if (rVal == "5") {
		rb01 = 0;
		rb06 = 1;
	}
	else if (rVal == "6") {
		rb01 = 0;
		rb07 = 1;
	}
	else if (rVal == "7") {
		rb01 = 0;
		rb08 = 1;
	}
	else if (rVal == "8") {
		rb01 = 0;
		rb09 = 1;
	}
	pNum0 = prefVal[1];   // Des pages de dpart
	pNum1 = prefVal[2];   // Le nombre de documents partiels
	pNum2 = prefVal[3];   // Le nombre de planches
	pNum4 = prefVal[4];   // Extraire des ranges de pages
	pName = prefVal[5];   // Style de paragraphe (dbut de chapitre)
	oName = prefVal[6];   // Style d'objet
	pNum7 = prefVal[7];   // Intitul de script
	stNr  = prefVal[8]*1; // La valeur du premier numro d'ordre
	oSt   = prefVal[9];   // Des numros de pages au lieu de ceux d'ordre
	if (oSt == "true") { oSt = true; } else { oSt = false; }
	bSt   = prefVal[10];  // Dcouper des blocs traversant le pli
	if (bSt == "true") { bSt = true; } else { bSt = false; }
	var nVal  = prefVal[11];
	var rb10  = 1;
	var rb11  = 0;
	if (nVal == "1") {
		rb10 = 0;
		rb11 = 1;
	}
}
else {
	// lorsque le fichier des prfrences ne peut pas tre trouv, 
	// utiliser les valeurs par dfaut suivants
	rb01  =  1;  // le critre de dcoupage
	rb02  =  0;
	rb03  =  0;
	rb04  =  0;
	rb05  =  0;
	rb06  =  0;
	rb07  =  0;
	rb08  =  0;
	rb09  =  0;
	rb10  =  1;
	rb11  =  0;
	pNum0 = "";  // Des pages de dpart
	pNum1 = "";  // Le nombre de documents partiels
	pNum2 = "";  // Le nombre de planches
	pNum4 = "";  // Extraire des ranges de pages
	pName =  0;  // Style de paragraphe (dbut de chapitre)
	oName =  0;  // Style d'objet
	pNum7 = "";  // Intitul de script
	stNr  =  1;  // La valeur du premier numro d'ordre
	oSt   =  0;  // Des numros de pages au lieu de ceux d'ordre
	bSt   =  0;  // Dcouper des blocs traversant le pli
}

// appeler la fonction qui affiche le dialogue pour slectionner le genre
var userDec = askUser1();
// les prparations selon la dcision
if (userDec == 5) {
	// dresser la liste des noms des styles de paragraphes
	var allParaStyles = curDoc.allParagraphStyles;
	var allStyleNames = new Array ();
	// lister les noms (sans les deux premiers lments)
	for (var i=2; i<allParaStyles.length; i++) {
		var curName = allParaStyles[i].name;
		// exclure des doublons
		var notFound = true;
		for (var j=0; j<allStyleNames.length; j++) {
			if (curName == allStyleNames[j]) {
				notFound = false;
				break;
			}
		}
		if (notFound == true) {
			allStyleNames.push(curName);
		}
	}
	nDlogPStyles = allStyleNames.length;
	if (nDlogPStyles != 0) {
		// trier la liste
		allStyleNames.sort();
		// trouver le style de sparation
		sepIndex = 0;
		for (var i=0; i<nDlogPStyles; i++) {
			if (allStyleNames[i] == pName) {
				sepIndex = i;
				break;
			}
		}
	}
	else {
		alert ("Il n'y a pas de style de paragraphe.", "Stop");
		exit();
	}
}
else if (userDec == 6) {
	// dresser la liste des noms de styles d'objets
	var allObjectNames = curDoc.objectStyles.everyItem().name;
	// ne lister que des styles dfinis par l'utilisateur
	var nStyles = allObjectNames.length;
	persObjStyles = new Array ();
	for (var i=0; i<nStyles; i++) {
		var curStyle = allObjectNames[i];
		if (curStyle.indexOf("[") == -1) {
			persObjStyles.push(curStyle);
		}
	}
	nDlogOStyles = persObjStyles.length;
	if (nDlogOStyles != 0) {
		persObjStyles.sort();
		// das Trennformat herausfinden
		objIndex = 0;
		for (var i=0; i<nDlogOStyles; i++) {
			if (persObjStyles[i] == oName) {
				objIndex = i;
				break;
			}
		}
	}
	else {
		alert ("Il n'y a pas de style d'objet dfini par l'utilisateur.", "Stop");
		exit();
	}
}

// montrer le dialogue pour le choix des pages, etc.
var anArray = askUser2(userDec);
var rDec  = anArray[0];  // Le critre de dcoupage
var pVal0 = anArray[1];  // Des pages de dpart
var pVal1 = anArray[2];  // Le nombre de documents partiels
var pVal2 = anArray[3];  // Le nombre de planches
var pVal4 = anArray[4];  // Extraire des ranges de pages
var pName = anArray[5];  // Style de paragraphe (dbut de chapitre)
var oName = anArray[6];  // Style d'objet
var pVal6 = anArray[7];  // Intitul de script
var sNbr  = anArray[8];  // La valeur du premier numro d'ordre
var oDec  = anArray[9];  // Des numros de pages au lieu de ceux d'ordre
var bDec  = anArray[10]; // Dcouper des blocs traversant le pli
var nrDec = anArray[11]; // Numro de page d'origine ou page 1

// dsactiver l'affichage des dialogues d'avertissement
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.neverInteract;

// supprimer des prfixes ventuels
if (rb01 == 1 || rb05 == 1 || rb06 == 1 || rb07 == 1 || rb08 == 1 || rb09 == 1 || rb10 == 1 || rb11 == 1) {
	for (var i=0; i<curDoc.sections.length; i++) {
		if (curDoc.sections[i].sectionPrefix != "") {
			curDoc.sections[i].sectionPrefix = "";
		}
	}
}

// enregistrer le document
curDoc.save();

// mmoriser "Autoriser la rorganisation des pages du document"
var aPS = curDoc.documentPreferences.allowPageShuffle;

// viter l'insrtion non contrle de pages
curDoc.textPreferences.smartTextReflow = false;

// prparer le nom de base
var baseName = docName + "_";

// prparer le dossier pour les nouveaux documents
var fo = Folder(docFol + "/" + folName).exists; 
if (fo == false) {
	new Folder(docFol + "/" + folName).create();
}
var newFol = docFol + "/" + folName + "/";

// quand "Pages de dpart" est souhait... ////////////////////////////////////////////////////////
if (rDec == 0) {
	if (pVal0 == "") {
		alert ("Pages de dpart: pas d'indication.", "Stop");
		exit();
	}
	// tablir la liste des numros des pages
	var startPagesList = new Array ();
	var curNum = "";
	for (var i=0; i<pVal0.length; i++) {
		var curChar = pVal0[i];
		if ("0123456789".indexOf(curChar) == -1) {
			if (curNum != "") {
				if (curNum != firstPage) {
					startPagesList.push(curNum);
				}
				var curNum = "";
			}
		}
		else {
			curNum = curNum + curChar;
		}
	}
	if (curNum != "") {
		startPagesList.push(curNum);
	}
	// vrifier si les pages dsires existent
	var startSpreadInd = new Array ();
	var endSpreadInd   = new Array ();
	var nNum = startPagesList.length;
	var allPageNames   = curDoc.pages.everyItem().name;
	var endPagesList   = new Array ();
	var spineSpreadInd = new Array ();
	for (var i=0; i<nNum; i++) {
		var okay = false;
		var actNum = startPagesList[i];
		for (var k=0; k<allPageNames.length; k++) {
			if (actNum == allPageNames[k]) {
				preNum = allPageNames[k-1];
				okay = true;
				break;
			}
		}
		if (!okay) {
			alert ("La page " + actNum + " n'existe pas.", "Stop");
			exit();
		}
		// lister les index des planches des pages dpart
		startSpreadInd.push(curDoc.pages.item(actNum).parent.index);
		// lister les pages finales
		endPagesList.push(preNum);
		// lister les index des planches des pages finales
		endSpreadInd.push(curDoc.pages.item(preNum).parent.index);
		// lister les indices des objets traversants le pli
		if ((curDoc.pages.itemByName(actNum).side)*1 == 1919382632) {
			spineSpreadInd.push(curDoc.pages.item(actNum).parent.index);
		}
	}
	var nParts = startSpreadInd.length;
	
	// est-ce qu'on a besoin d'un zro au dbut?
	var zeroPad = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// noter le nombre de chiffres
	var pgDigits = startPagesList[nNum-1].length;
	var pageOne = ("0000" + firstPage).slice(-pgDigits);
	
	// la numrotation avec des zros au dbut (ou sans)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}
	
	// prparer le chemin
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else { // s'il faut utiliser le numro de la page...
		var newPath = newFol + "/" + baseName + pageOne + ".indd";
	}
	
	if (bDec == true) {
		var fRes = splitFrames(spineSpreadInd, docFol, docName);
		rO = fRes[0];
		tmpPath = fRes[1];
	}

	// supprimer des planches (de la deuxime section  la fin du document)
	if (startSpreadInd[0] == endSpreadInd[0]) {
		curDoc.spreads.itemByRange(startSpreadInd[0]+1, -1).remove();
		curDoc.pages.itemByName(startPagesList[0]).remove();
	}
	else {
		curDoc.spreads.itemByRange(startSpreadInd[0], -1).remove();
	}
	
	// appeler la fonction de la dernire page (si c'est une de gauche) supprimant des 
	// objets travesant le pli (sinon, ceux-ci deviennent visibles)
	if (bDec == true) {
		var nPg = app.activeDocument.pages.length;
		if ((app.activeDocument.pages[nPg-1].side)*1 == 1818653800) {
			delMasterFramesEnd();
		}
	}
	// rtablir l'origine de la rgle
	if (bDec == true) {
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	// enregistrer le document sous le nouveau nom
	app.activeDocument.save(new File(newPath));
	
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
	
	// une boucle qui s'occupe des sections suivantes
	for (var i=0; i<(nParts-1); i++) {
		// ouvrir le document temporaire ou l'original
		if (bDec == true) {
			app.open(File(tmpPath));
		}
		else {
			app.open(File(docPath));
		}
			
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = false;
		}
		// supprimer des planches (de la fin de la section actuelle  la fin du document)
		if (startSpreadInd[i+1] == endSpreadInd[i+1]) {
			curDoc.spreads.itemByRange(startSpreadInd[i+1]+1, -1).remove();
			curDoc.pages.itemByName(startPagesList[i+1]).remove();
		}
		else {
			curDoc.spreads.itemByRange(startSpreadInd[i+1], -1).remove();
		}
		
		// supprimer les planches (du dbut au dbut de la section  conserver)
		if (startSpreadInd[i] == endSpreadInd[i]) {
			try {
				curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
			}
			catch (e) {
			}
			curDoc.pages[0].remove();
		}
		else {
			curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
		}
		
		// modifier le dbut de section
		curDoc.sections[0].continueNumbering = false;
		curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = true;
		}
		// la numrotation avec des zros au dbut (ou sans)
		if (zeroPad == "") {
			nbr = (i+2)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+2)+(sNbr-1))).slice(-stDigits);
		}
		// s'il faut utiliser le numro de la page...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// prparer le chemin
		if (oDec == 0) {
			var newPath = newFol + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + baseName + pgNbr + ".indd";
		}
		// appeler les fonctions qui suppriment des objets traversant le pli de la premire page (s'il s'agit d'une page de droite) 
		// et sur la dernires page (s'il s'agit d'une page de gauche)
		// (ces objets deviennent visibles lors du dcoupage)
		if (bDec == true) {
			if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
				delMasterFramesStart();
			}
			var nPg = app.activeDocument.pages.length;
			if ((app.activeDocument.pages[nPg-1].side)*1 == 1818653800) {
				delMasterFramesEnd();
			}
			// rtablir l'origine de la rgle
			if (rO != 1380143984) {
				app.activeDocument.viewPreferences.rulerOrigin = rO;
			}
		}
		// enregistrer le document sous le nouveau nom
		app.activeDocument.save(new File(newPath));
		// fermer le document
		app.activeDocument.close(SaveOptions.no);
	}
	// ouvrir le document une dernire fois et supprimer les planches (sauf celles de la dernire sction)
	if (bDec == true) {
		app.open(File(tmpPath));
	}
	else {
		app.open(File(docPath));
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = false;
	}
	if (startSpreadInd[i] == endSpreadInd[i]) {
		if (startSpreadInd[i] != 0) {
			curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
		}
		curDoc.pages[0].remove();
	}
	else {
		curDoc.spreads.itemByRange(0, startSpreadInd[i]-1, -1).remove();
	}
	curDoc.sections[0].continueNumbering = false;
	curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
	if (zeroPad == "") {
		nbr = (i+2)+(sNbr-1);
	}
	else {
		nbr = (zeroPad + ((i+2)+(sNbr-1))).slice(-stDigits);
	}
	pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
	
	if (bDec == true) {
		if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
			delMasterFramesStart();
		}
		// rtablir l'origine de la rgle
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	// prparer le chemin
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pgNbr + ".indd";
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = true;
	}
	// enregistrer le document sous le nouveau nom
	app.activeDocument.save(new File(newPath));
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
	// si le dcoupage d'objets traversant le pli est demand
	if (bDec == true) {
		// essayer de supprimer le document temporaire
		try {
			File(tmpPath).remove();
		}
		catch (e) {
		}
	}
}
// lorsque "nombre de documents partiels" a t choisi... /////////////////////////////////////////
else if (rDec == 1) {
	var curNum = new Array ();
	for (var i=0; i<pVal1.length; i++) {
		var curChar = pVal1[i];
		if ("0123456789".indexOf(curChar) == -1) {
			if (curNum.length != 0) {
				if (curChar == " ") {
					break;
				}
			}
		}
		else {
			curNum.push(curChar);
		}
	}
	if (curNum.length == 0) {
		alert ("Nombre de documents partiels: pas d'indication.", "Stop");
		exit();
	}
	else {
		curNum = (curNum.join(""))*1;
	}
	if (curNum > totSpreads) {
		alert ("Le nombre de documents partiels est trop grand.", "Stop");
		exit();
	}
	if ((totSpreads%curNum) == 0) {
		nSpreads = (totSpreads/curNum);
		// die Anzahl Abschnitte
		var nParts = curNum;
		var spreadNums = new Array ();
		for (var i=0; i<curNum; i++) {
			spreadNums.push(nSpreads);
		}
		// tablir la liste des numros des pages
		var startPagesList = new Array ("");
		for (var i=1; i<nParts; i++) {
			var curFirst = (curDoc.spreads[nSpreads*i].pages[0].name)*1;
			startPagesList.push(curFirst);
		}
	}
	else {
		var curSpreadNum = totSpreads;
		var spreadNums = new Array ();
		for (var i=0; i<curNum; i++) {
			if ((curSpreadNum%(curNum-i)) != 0) {
				nSpreads = Math.ceil(curSpreadNum/(curNum-i));
				spreadNums.push(nSpreads);
			}
			else {
				nSpreads = Math.floor(curSpreadNum/(curNum-i));
				spreadNums.push(nSpreads);
			}
			curSpreadNum = curSpreadNum-nSpreads;
		}
		// tablir la liste des numros des pages
		var startPagesList = new Array ("");
		var actSpread = 0;
		for (var i=0; i<(spreadNums.length)-1; i++) {
			actSpread = actSpread + (spreadNums[i]*1);
			var curFirst = (curDoc.spreads[actSpread].pages[0].name)*1;
			startPagesList.push(curFirst);
		}
		nParts = startPagesList.length;
	}
	nNum = startPagesList.length;
	// tablir la liste avec le numros de la premire page de chaque planche
	var curVal = 0;
	var firstSpr = new Array ();
	firstSpr.push(curVal);
	for (var i=0; i<(spreadNums.length)-1; i++) {
		curVal = curVal + spreadNums[i]*1;
		firstSpr.push(curVal);
	}
	
	// supprimer des planches (de la fin de la section actuelle  la fin du document)
	curDoc.spreads.itemByRange(firstSpr[1], -1).remove();
	
	// est-ce qu'on a besoin d'un zro au dbut?
	var zeroPad  = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// noter le nombre de chiffres
	var pgDigits = ("" + startPagesList[nNum-1]).length;
	var pageOne  = ("0000" + firstPage).slice(-pgDigits);
	
	// la numrotation avec des zros au dbut (ou sans)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}
	
	// prparer le chemin
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pageOne + ".indd";
	}
	// enregistrer le document sous le nouveau nom
	app.activeDocument.save(new File(newPath));
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
	
	// une boucle qui s'occupe des sections suivantes
	for (var i=1; i<(nParts-1); i++) {
		// ouvrir le document original
		app.open(File(docPath));
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = false;
		}
		// supprimer des planches (de la fin de la section actuelle  la fin du document)
		curDoc.spreads.itemByRange(firstSpr[i+1], -1).remove();
		// modifier le dbut de section
		curDoc.sections[0].continueNumbering = false;
		curDoc.sections[0].pageNumberStart = startPagesList[i];
		// supprimer les planches (du dbut au dbut de la section  conserver)
		curDoc.spreads.itemByRange(0, firstSpr[i]-1).remove();
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = true;
		}
		// la numrotation avec des zros au dbut (ou sans)
		if (zeroPad == "") {
			nbr = (i+1)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
		}
		// s'il faut utiliser le numro de la page...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// prparer le chemin
		if (oDec == 0) {
			var newPath = newFol + "/" + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + "/" + baseName + pgNbr + ".indd";
		}
		// enregistrer le document sous le nouveau nom
		app.activeDocument.save(new File(newPath));
		// fermer le document
		app.activeDocument.close(SaveOptions.no);
	}
	// ouvrir le document une dernire fois et supprimer les planches (sauf celles de la dernire sction)
	app.open(File(docPath));
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = false;
	}
	curDoc.spreads.itemByRange(0, firstSpr[i]-1).remove();
	curDoc.sections[0].continueNumbering = false;
	curDoc.sections[0].pageNumberStart = startPagesList[i];
	
	if (zeroPad == "") {
		nbr = (i+1)+(sNbr-1);
	}
	else {
		nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
	}
	pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
	
	// prparer le chemin
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pgNbr + ".indd";
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = true;
	}
	app.activeDocument.save(new File(newPath));
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
}
// lorsque "nombre de planches" a t choisi... ///////////////////////////////////////////////////
else if (rDec == 2) {
	var curNum = new Array ();
	for (var i=0; i<pVal2.length; i++) {
		var curChar = pVal2[i];
		if ("0123456789".indexOf(curChar) == -1) {
			if (curNum.length != 0) {
				if (curChar == " ") {
					break;
				}
			}
		}
		else {
			curNum.push(curChar);
		}
	}
	if (curNum.length == 0) {
		alert ("Nombre de planches: pas d'indication.", "Stop");
		exit();
	}
	else {
		curNum = (curNum.join(""))*1;
	}
	if (curNum > totSpreads) {
		alert ("Le nombre de planches est trop grand.", "Stop");
		exit();
	}
	nSpreads = curNum;
	// calculer le nombre de sections
	if (totSpreads%nSpreads != 0) {
		var nParts = Math.floor((totSpreads/nSpreads))+1;
	}
	else {
		var nParts = Math.floor((totSpreads/nSpreads));
	}
	
	// tablir la liste des numros des pages
	var startPagesList = new Array ("");
	for (var i=1; i<nParts; i++) {
		var curFirst = (curDoc.spreads[nSpreads*i].pages[0].name)*1;
		startPagesList.push(curFirst);
	}
	nNum = startPagesList.length;
	
	// supprimer des planches (de la fin de la section actuelle  la fin du document)
	curDoc.spreads.itemByRange(nSpreads, -1).remove();
	
	// est-ce qu'on a besoin d'un zro au dbut?
	var zeroPad = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// noter le nombre de chiffres
	var pgDigits = ("" + startPagesList[nNum-1]).length;
	var pageOne  = ("0000" + firstPage).slice(-pgDigits);
	
	// la numrotation avec des zros au dbut (ou sans)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}
	
	// prparer le chemin
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else { // s'il faut utiliser le numro de la page...
		var newPath = newFol + "/" + baseName + pageOne + ".indd";
	}
	// enregistrer le document sous le nouveau nom
	app.activeDocument.save(new File(newPath));
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
	
	// une boucle qui s'occupe des sections suivantes
	for (var i=1; i<(nParts-1); i++) {
		// ouvrir le document original
		app.open(File(docPath));
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = false;
		}
		// supprimer les planches (du dbut au dbut de la section  conserver)
		curDoc.spreads.itemByRange(0, (nSpreads*i)-1).remove();
		// modifier le dbut de section
		curDoc.sections[0].continueNumbering = false;
		curDoc.sections[0].pageNumberStart = startPagesList[i];
		// supprimer des planches (de la fin de la section actuelle  la fin du document)
		curDoc.spreads.itemByRange(nSpreads, -1).remove();
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = true;
		}
		// la numrotation avec des zros au dbut (ou sans)
		if (zeroPad == "") {
			nbr = (i+1)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
		}
		// s'il faut utiliser le numro de la page...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// prparer le chemin
		if (oDec == 0) {
			var newPath = newFol + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + baseName + pgNbr + ".indd";
		}
		// enregistrer le document sous le nouveau nom
		app.activeDocument.save(new File(newPath));
		// fermer le document
		app.activeDocument.close(SaveOptions.no);
	}
	// ouvrir le document une dernire fois et supprimer les planches (sauf celles de la dernire sction)
	app.open(File(docPath));
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = false;
	}
	curDoc.spreads.itemByRange(0, (nSpreads*i)-1).remove();
	curDoc.sections[0].continueNumbering = false;
	curDoc.sections[0].pageNumberStart = startPagesList[i];
	
	if (zeroPad == "") {
		nbr = (i+1)+(sNbr-1);
	}
	else {
		nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
	}
	pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
	
	// prparer le chemin
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pgNbr + ".indd";
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = true;
	}
	// enregistrer le document sous le nouveau nom
	app.activeDocument.save(new File(newPath));
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
}

// lorsque le document doit tre dcoup en pages simples... //////////////////////////////////////
else if (rDec == 3) {
	// mmoriser les numros des pages
	var startPagesList = curDoc.pages.everyItem().name;
	var nParts = startPagesList.length;
	var endSpreadInd = new Array ();
	for (var i=0; i<curDoc.spreads.length; i++) {
		endSpreadInd.push(i);
	}
	// lorsque des objets traversant le pli doivent tre diviss
	if (bDec == true) {
		var fRes = splitFrames(endSpreadInd, docFol, docName);
		rO = fRes[0];
		tmpPath = fRes[1];
	}
	
	// Ssupprimer des pages (de la deuxime  la fin du document)
	curDoc.pages.itemByRange(1, -1).remove();
	
	// modifier le dbut de section
	if (curDoc.pages[0].name != "1") {
		curDoc.sections[0].continueNumbering = false;
		if (nrDec == 0) {
			curDoc.sections[0].pageNumberStart = startPagesList[0]*1;
		}
		else {
			curDoc.sections[0].pageNumberStart = 1;
		}
	}
	
	// la numrotation avec des zros au dbut (ou sans)
	var zeroPad = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// noter le nombre de chiffres
	var pgDigits = startPagesList[nParts-1].length;
	var pageOne = ("0000" + firstPage).slice(-pgDigits);
	
	// la numrotation avec des zros au dbut (ou sans)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}
		
	// prparer le chemin
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pageOne + ".indd";
	}
	if (bDec == true) {
		// quand c'est une page de gauche, supprimer un objet de maquette ventuel
		if ((app.activeDocument.pages[0].side)*1 == 1818653800) {
			delMasterFramesEnd();
		}
		// rtablir l'origine de la rgle
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	// enregistrer le document sous le nouveau nom
	app.activeDocument.save(new File(newPath));
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
	
	// une boucle qui enregistre les pages suivantes comme documents individuels
	for (var i=1; i<(nParts-1); i++) {
		// ouvrir le document temporaire ou l'original
		if (bDec == true) {
			app.open(File(tmpPath));
		}
		else {
			app.open(File(docPath));
		}
		// supprimer des pages (du dbut jusque devant l'actuelle)
		curDoc.pages.itemByRange(0, i-1).remove();
		// supprimer des pages (aprs l'actuelle  la fin du document)
		curDoc.pages.itemByRange(1, -1).remove();
		
		// modifier le dbut de section
		curDoc.sections[0].continueNumbering = false;
		if (nrDec == 0) {
			curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
		}
		else {
			curDoc.sections[0].pageNumberStart = 1;
		}
		
		if (bDec == true) {
			var pgSide = (app.activeDocument.pages[0].side)*1;
			if (pgSide == 1919382632) {
				delMasterFramesStart();
			}
			else if (pgSide == 1818653800) {
				delMasterFramesEnd();
			}
			// rtablir l'origine de la rgle
			if (rO != 1380143984) {
				app.activeDocument.viewPreferences.rulerOrigin = rO;
			}
		}
		
		// la numrotation avec des zros au dbut (ou sans)
		if (zeroPad == "") {
			nbr = (i+1)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
		}
		// s'il faut utiliser le numro de la page...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// prparer le chemin
		if (oDec == 0) {
			var newPath = newFol + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + baseName + pgNbr + ".indd";
		}
		// enregistrer le document sous le nouveau nom
		app.activeDocument.save(new File(newPath));
		// fermer le document
		app.activeDocument.close(SaveOptions.no);
	}
	// ouvrir le document une dernire fois et supprimer les pages (sauf la dernire)
	if (bDec == true) {
		app.open(File(tmpPath));
	}
	else {
		app.open(File(docPath));
	}
	curDoc.pages.itemByRange(0, i-1).remove();
	
	// modifier le dbut de section
	curDoc.sections[0].continueNumbering = false;
	if (nrDec == 0) {
		curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
	}
	else {
		curDoc.sections[0].pageNumberStart = 1;
	}
	
	if (bDec == true) {
		if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
			delMasterFramesStart();
		}
		// rtablir l'origine de la rgle
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	if (zeroPad == "") {
		nbr = i+1;
	}
	else {
		nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
	}
	pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
	
	// prparer le chemin
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pgNbr + ".indd";
	}
	// enregistrer le document sous le nouveau nom
	app.activeDocument.save(new File(newPath));
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
	// si le dcoupage d'objets traversant le pli est demand
	if (bDec == true) {
		// essayer de supprimer le document temporaire
		try {
			File(tmpPath).remove();
		}
		catch (e) {
		}
	}
}
// lorsqu'il faut extraire des ranges de pages... ////////////////////////////////////////////////
else if (rDec == 4) {
	if (pVal4 == "") {
		alert ("Extraire des ranges de pages:\n\nle champ texte est vide.", "Stop");
		exit();
	}
	var whatKind = 0;
	var startPagesList = new Array ();
	var prePagesList   = new Array ();
	var stopPagesList  = new Array ();
	var spineSpreadInd = new Array ();
	var aftPagesList   = new Array ();
	// supprimer des espaces
	var newRange = pVal4.split(" ");
	newRange = newRange.join("");
	// vrifier si l'entre contient des virgules ou des trait-d'unions
	if (newRange.indexOf("+") != -1) {
		alert ("Des valeurs absolues ne sont pas possibles.", "Stop");
		exit();
	}
	if (newRange.indexOf("-") != -1) {
		whatKind = whatKind + 1;
	}
	if (newRange.indexOf(",") != -1) {
		whatKind = whatKind + 2;
	}
	// prparer les listes selon le genre de la chane
	if (whatKind == 0) {
		startPagesList.push(newRange);
		stopPagesList.push(newRange);
	}
	else if (whatKind == 1) {
		var newRangeList = newRange.split("-");
		startPagesList.push(newRangeList[0]);
		stopPagesList.push(newRangeList[1]);
	}
	else if (whatKind == 2) {
		var newRangeList = newRange.split(",");
		for (var i=0; i<newRangeList.length; i++) {
			startPagesList.push(newRangeList[i]);
			stopPagesList.push(newRangeList[i]);
		}
	}
	else if (whatKind == 3) {
		var newRangeList = newRange.split(",");
		for (var i=0; i<newRangeList.length; i++) {
			var tmpItem = newRangeList[i];
			if (tmpItem.indexOf("-") != -1) {
				var tmpItemList = tmpItem.split("-");
				startPagesList.push(tmpItemList[0]);
				stopPagesList.push(tmpItemList[1]);
			}
			else {
				startPagesList.push(newRangeList[i]);
				stopPagesList.push(newRangeList[i]);
			}
		}
	}
	
	// vrifier si les pages dsires existent
	var nNum = startPagesList.length;
	var allPageNames = curDoc.pages.everyItem().name;
	for (var i=0; i<nNum; i++) {
		var okay = false;
		var actNum = startPagesList[i];
		for (var k=0; k<allPageNames.length; k++) {
			if (actNum == allPageNames[k]) {
				preNum = k-1;
				okay = true;
				break;
			}
		}
		if (!okay) {
			alert ("La page " + actNum + " est introuvable.", "Stop");
			exit();
		}
		// lister les indices des pages des pages de dpart
		prePagesList.push(preNum);
		// lister les indices des objets traversant le pli
		if ((curDoc.pages.itemByName(actNum).side)*1 == 1919382632) {
			spineSpreadInd.push(curDoc.pages.item(actNum).parent.index);
		}
	}
	for (var i=0; i<nNum; i++) {
		var okay = false;
		var actNum = stopPagesList[i];
		for (var k=0; k<allPageNames.length; k++) {
			if (actNum == allPageNames[k]) {
				aftNum = k+1;
				okay = true;
				break;
			}
		}
		if (!okay) {
			alert ("La page " + actNum + " n'est pas disponible.", "Stop");
			exit();
		}
		// lister les indices des pages finales
		aftPagesList.push(aftNum);
		// complter la liste de les indices des ohjets traversant le pli
		if ((curDoc.pages.itemByName(actNum).side)*1 == 1818653800) {
			var isListed = false;
			for (k=0; k<spineSpreadInd.length; k++) {
				if (spineSpreadInd[k] == actNum) {
					isListed = true;
					break;
				}
			}
			if (isListed == false) {
				spineSpreadInd.push(curDoc.pages.item(actNum).parent.index);
			}
		}
	}
	var nParts = allPageNames.length;
	
	// est-ce qu'on a besoin d'un zro au dbut?
	var zeroPad  = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// noter le nombre de chiffres
	var pgDigits = ("" + startPagesList[nNum-1]).length;
	var pageOne  = ("0000" + firstPage).slice(-pgDigits);
	
	// la numrotation avec des zros au dbut (ou sans)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}

	if (bDec == true) {
		var fRes = splitFrames(spineSpreadInd, docFol, docName);
		rO = fRes[0];
		tmpPath = fRes[1];
	}
	
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
	
	// cette boucle confectionne les sections demandes
	for (var i=0; i<nNum; i++) {
		// ouvrir le document temporaire ou l'original
		if (bDec == true) {
			app.open(File(tmpPath));
		}
		else {
			app.open(File(docPath));
		}
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = false;
		}
		// supprimer des pages (de la fin de la section actuelle  la fin du document)
		try {
			curDoc.pages.itemByRange(aftPagesList[i], nParts-1).remove();
		}
		catch (e) {
		}
		
		// supprimer des pages (du dbut au dbut de la section  conserver)
		try {
			curDoc.pages.itemByRange(0, prePagesList[i]).remove();
		}
		catch (e) {
		}
		// modifier le dbut de section
		curDoc.sections[0].continueNumbering = false;
		curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
		
		// la numrotation avec des zros au dbut (ou sans)
		if (zeroPad == "") {
			nbr = (i+1)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+1)+(sNbr-1))).slice(-stDigits);
		}
		// s'il faut utiliser le numro de la page...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// prparer le chemin
		if (oDec == 0) {
			var newPath = newFol + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + baseName + pgNbr + ".indd";
		}
		if (bDec == true) {
			if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
				delMasterFramesStart();
			}
			var nPg = app.activeDocument.pages.length;
			if ((app.activeDocument.pages[nPg-1].side)*1 == 1818653800) {
				delMasterFramesEnd();
			}
			// rtablir l'origine de la rgle
			if (rO != 1380143984) {
				app.activeDocument.viewPreferences.rulerOrigin = rO;
			}
		}
		// enregistrer le document sous le nouveau nom
		app.activeDocument.save(new File(newPath));
		// fermer le document
		app.activeDocument.close(SaveOptions.no);
	}
	// si le dcoupage d'objets traversant le pli est demand
	if (bDec == true) {
		// essayer de supprimer le document temporaire
		try {
			File(tmpPath).remove();
		}
		catch (e) {
		}
	}
}
// quatre critres de dcoupage supplmentaires /////////////////////////////////////////////////////
else if (rDec > 4) {
	var topPage = false;
	// quand un style de paragraphe est slectionn... //////////////////////////////////////////////
	if (rDec == 5) {
		var firstPage = curDoc.pages[0].name;
		var tmpPagesList = new Array ();
		// die Start-Markierungsrahmen aufspren
		var allFrames = curDoc.allPageItems;
		for (var i=0; i<allFrames.length; i++) {
			var curFrame = allFrames[i];
			try {
				if (curFrame == curFrame.startTextFrame) {
					for (j=0; j<5; j++) {
						if (curFrame.texts[0].paragraphs[j].appliedParagraphStyle.name == pName) {
							try {
								curPage = curFrame.parentPage.name;
								if (curPage != firstPage) {
									tmpPagesList.push(curPage);
								}
								else {
									topPage = true;
								}
							}
							catch (e) {
							}
							break;
						}
					}
				}
			}
			catch (e) {
			}
		}
		// vrifier la longueur de la liste
		if (tmpPagesList.length == 0) {
			if (topPage == true) {
				alert ("Le style \"" + pName + "\" n'est appliqu qu' la premire page.", "Stop");
			}
			else {
				alert ("Le style \"" + pName + "\" n'est pas appliqu  un bloc.", "Stop");
			}
			exit();
		}
	}
	// quand un style d'objet est slectionn... ////////////////////////////////////////////////////
	else if (rDec == 6) {
		var firstPage = curDoc.pages[0].name;
		var tmpPagesList = new Array ();
		// lister les blocs de dpart
		var allFrames = curDoc.allPageItems;
		for (var i=0; i<allFrames.length; i++) {
			if (allFrames[i].appliedObjectStyle.name == oName) {
				try {
					curPage = allFrames[i].parentPage.name;
					if (curPage != firstPage) {
						tmpPagesList.push(curPage);
					}
					else {
						topPage = true;
					}
				}
				catch (e) {
				}
			}
		}
		// vrifier la longueur de la liste
		if (tmpPagesList.length == 0) {
			if (topPage == true) {
				alert ("Le style d'objet \"" + oName + "\" n'est appliqu qu' la premire page.", "Stop");
			}
			else {
				alert ("Le style d'objet \"" + oName + "\" n'est pas appliqu  un bloc.", "Stop");
			}
			exit();
		}
	}
	// quand une tiquette de script est slectionn... /////////////////////////////////////////////
	else if (rDec == 7) {
		var firstPage = curDoc.pages[0].name;
		var tmpPagesList = new Array ();
		// lister les blocs de dpart
		var allFrames = curDoc.allPageItems;
		for (var i=0; i<allFrames.length; i++) {
			var curFrame = allFrames[i];
			if (curFrame.label == pNum7) {
				try {
					curPage = "0";
					var curType = curFrame.parent.constructor.name;
					while (curType != "Page") {
						curFrame = curFrame.parent;
						curType  = curFrame.parent.constructor.name;
					}
					if (curType != "Spread" && curType != "Document") {
						curPage = curFrame.parent.name;
					}
				}
				catch (e) {
				}
				if (curPage != firstPage && curPage != "0") {
					tmpPagesList.push(curPage);
				}
				else {
					topPage = true;
				}
			}
		}
		// vrifier la longueur de la liste
		if (tmpPagesList.length == 0) {
			if (topPage == true) {
				alert ("L'tiquette \"" + pNum7 + "\" n'est appliqu qu' la premire page.", "Stop");
			}
			else {
				alert ("L'tiquette \"" + pNum7 + "\" n'est pas appliqu  un bloc.", "Stop");
			}
			exit();
		}
	}
	// quand "premiers blocs" est slectionn... ////////////////////////////////////////////////////
	else if (rDec == 8) {
		var firstPage = curDoc.pages[0].name;
		var tmpPagesList = new Array ();
		// lister les blocs de dpart
		var allStories = curDoc.stories;
		for (var i=0; i<allStories.length; i++) {
			var nFrames = allStories[i].textContainers.length;
			if (nFrames > 1) {
				startPage = allStories[i].textContainers[0].parent.name;
				stopPage  = allStories[i].textContainers[nFrames-1].parent.name;
				if (startPage != stopPage) {
					if (startPage != firstPage) {
						tmpPagesList.push(startPage);
					}
				}
			}
		}
		// vrifier la longueur de la liste
		if (tmpPagesList.length == 0) {
			alert ("Il n'y a pas de chane de texte passant d'une page  l'autre.", "Stop");
			exit();
		}
	}
	// trier la liste
	tmpPagesList.sort(numSort);
	// supprimer des doublons
	var startPagesList = new Array ();
	for (var i=0; i<tmpPagesList.length; i++) {
		var notFound = true;
		for (var j=0; j<startPagesList.length; j++) {
			if (tmpPagesList[i] == startPagesList[j]) {
				notFound = false;
				break;
			}
		}
		if (notFound == true) {
			startPagesList.push(tmpPagesList[i]);
		}
	}
	// vrifier si les pages dsires existent
	var startSpreadInd = new Array ();
	var endSpreadInd   = new Array ();
	var nNum = startPagesList.length;
	var allPageNames   = curDoc.pages.everyItem().name;
	var endPagesList   = new Array ();
	var spineSpreadInd = new Array ();
	for (var i=0; i<nNum; i++) {
		var okay = false;
		var actNum = startPagesList[i];
		for (var k=0; k<allPageNames.length; k++) {
			if (actNum == allPageNames[k]) {
				preNum = allPageNames[k-1];
				okay = true;
				break;
			}
		}
		if (!okay) {
			alert ("La page " + actNum + " est introuvable.", "Stop");
			exit();
		}
		// lister les indices des planches des pages dpart
		startSpreadInd.push(curDoc.pages.item(actNum).parent.index);
		// lister les pages finales
		endPagesList.push(preNum);
		// lister les indices des planches des pages finales
		try {
			endSpreadInd.push(curDoc.pages.item(preNum).parent.index);
		}
		catch (e) {
		}
		// lister les indices des pages des objets traversant le pli
		if ((curDoc.pages.itemByName(actNum).side)*1 == 1919382632) {
			spineSpreadInd.push(curDoc.pages.item(actNum).parent.index);
		}
	}
	var nParts = startSpreadInd.length;
	
	// est-ce qu'on a besoin d'un zro au dbut?
	var zeroPad = "";
	var stDigits = 1;
	if ((nParts+1)+(sNbr-1)      >   9 && (nParts+1)+(sNbr-1) <   100) { zeroPad =   "0"; stDigits = 2; }
	else if ((nParts+1)+(sNbr-1) >  99 && (nParts+1)+(sNbr-1) <  1000) { zeroPad =  "00"; stDigits = 3; }
	else if ((nParts+1)+(sNbr-1) > 999 && (nParts+1)+(sNbr-1) < 10000) { zeroPad = "000"; stDigits = 4; }
	
	// noter le nombre de chiffres
	var pgDigits = startPagesList[nNum-1].length;
	var pageOne = ("0000" + firstPage).slice(-pgDigits);
	
	// la numrotation avec des zros au dbut (ou sans)
	if (zeroPad == "") {
		nbr = sNbr;
	}
	else {
		nbr = (zeroPad + sNbr).slice(-stDigits);
	}
	
	// prparer le chemin
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else { // s'il faut utiliser le numro de la page...
		var newPath = newFol + "/" + baseName + pageOne + ".indd";
	}
	if (bDec == true) {
		var fRes = splitFrames(spineSpreadInd, docFol, docName);
		rO = fRes[0];
		tmpPath = fRes[1];
	}
	
	// supprimer des planches (de la deuxime section  la fin du document)
	if (startSpreadInd[0] == endSpreadInd[0]) {
		curDoc.spreads.itemByRange(startSpreadInd[0]+1, -1).remove();
		curDoc.pages.itemByName(startPagesList[0]).remove();
	}
	else {
		curDoc.spreads.itemByRange(startSpreadInd[0], -1).remove();
	}
	
	// appeler la fonction de la dernire page (si c'est une de gauche) supprimant des 
	// objets travesant le pli (sinon, ceux-ci deviennent visibles)
	if (bDec == true) {
		var nPg = app.activeDocument.pages.length;
		if ((app.activeDocument.pages[nPg-1].side)*1 == 1818653800) {
			delMasterFramesEnd();
		}
	}
	// rtablir l'origine de la rgle
	if (bDec == true) {
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	// enregistrer le document sous le nouveau nom
	app.activeDocument.save(new File(newPath));
	
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
	
	// une boucle qui s'occupe des sections suivantes
	for (var i=0; i<(nParts-1); i++) {
		// ouvrir le document temporaire ou l'original
		if (bDec == true) {
			app.open(File(tmpPath));
		}
		else {
			app.open(File(docPath));
		}
			
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = false;
		}
		// supprimer des planches (de la fin de la section actuelle  la fin du document)
		if (startSpreadInd[i+1] == endSpreadInd[i+1]) {
			curDoc.spreads.itemByRange(startSpreadInd[i+1]+1, -1).remove();
			curDoc.pages.itemByName(startPagesList[i+1]).remove();
		}
		else {
			curDoc.spreads.itemByRange(startSpreadInd[i+1], -1).remove();
		}
		
		// supprimer les planches (du dbut au dbut de la section  conserver)
		if (startSpreadInd[i] == endSpreadInd[i]) {
			try {
				curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
			}
			catch (e) {
			}
			curDoc.pages[0].remove();
		}
		else {
			curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
		}
		
		// modifier le dbut de section
		curDoc.sections[0].continueNumbering = false;
		curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
		if (aPS) {
			curDoc.documentPreferences.allowPageShuffle = true;
		}
		// la numrotation avec des zros au dbut (ou sans)
		if (zeroPad == "") {
			nbr = (i+2)+(sNbr-1);
		}
		else {
			nbr = (zeroPad + ((i+2)+(sNbr-1))).slice(-stDigits);
		}
		// s'il faut utiliser le numro de la page...
		var pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
		
		// prparer le chemin
		if (oDec == 0) {
			var newPath = newFol + baseName + nbr + ".indd";
		}
		else {
			var newPath = newFol + baseName + pgNbr + ".indd";
		}
		// appeler les fonctions qui suppriment des objets traversant le pli de la premire page (s'il s'agit d'une page de droite) 
		// et sur la dernires page (s'il s'agit d'une page de gauche)
		// (ces objets deviennent visibles lors du dcoupage)
		if (bDec == true) {
			if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
				delMasterFramesStart();
			}
			var nPg = app.activeDocument.pages.length;
			if ((app.activeDocument.pages[nPg-1].side)*1 == 1818653800) {
				delMasterFramesEnd();
			}
			// rtablir l'origine de la rgle
			if (rO != 1380143984) {
				app.activeDocument.viewPreferences.rulerOrigin = rO;
			}
		}
		// enregistrer le document sous le nouveau nom
		app.activeDocument.save(new File(newPath));
		// fermer le document
		app.activeDocument.close(SaveOptions.no);
	}
	// ouvrir le document une dernire fois et supprimer les planches (sauf celles de la dernire sction)
	if (bDec == true) {
		app.open(File(tmpPath));
	}
	else {
		app.open(File(docPath));
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = false;
	}
	if (startSpreadInd[i] == endSpreadInd[i]) {
		curDoc.spreads.itemByRange(0, startSpreadInd[i]-1).remove();
		curDoc.pages[0].remove();
	}
	else {
		curDoc.spreads.itemByRange(0, startSpreadInd[i]-1, -1).remove();
	}
	curDoc.sections[0].continueNumbering = false;
	curDoc.sections[0].pageNumberStart = startPagesList[i]*1;
	if (zeroPad == "") {
		nbr = (i+2)+(sNbr-1);
	}
	else {
		nbr = (zeroPad + ((i+2)+(sNbr-1))).slice(-stDigits);
	}
	pgNbr = ("0000" + startPagesList[i]).slice(-pgDigits);
	
	if (bDec == true) {
		if ((app.activeDocument.pages[0].side)*1 == 1919382632) {
			delMasterFramesStart();
		}
		// rtablir l'origine de la rgle
		if (rO != 1380143984) {
			app.activeDocument.viewPreferences.rulerOrigin = rO;
		}
	}
	
	// prparer le chemin
	if (oDec == 0) {
		var newPath = newFol + "/" + baseName + nbr + ".indd";
	}
	else {
		var newPath = newFol + "/" + baseName + pgNbr + ".indd";
	}
	if (aPS) {
		curDoc.documentPreferences.allowPageShuffle = true;
	}
	// enregistrer le document sous le nouveau nom
	app.activeDocument.save(new File(newPath));
	// fermer le document
	app.activeDocument.close(SaveOptions.no);
	// si le dcoupage d'objets traversant le pli est demand
	if (bDec == true) {
		// essayer de supprimer le document temporaire
		try {
			File(tmpPath).remove();
		}
		catch (e) {
		}
	}
}
	
// activer l'affichage de dialogues
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

// annoncer la fin de l'action
var dlog = new Window("palette");
dlog.size = [320,100];
dlog.add("statictext", [80, 100, 320, 116], "Termin.");
dlog.show();
// une petite pause
$.sleep(1500);
// fermer la fentre
dlog.close();


////////////////////////////// les fonctions  /////////////////////////////////////////////////////

// la fonction qui prpare les informations
function getPrefs() {
	var allPrefs = "";
	// lire le fichier contenant les valeurs enregistres
	if ($.os.slice(0,7) == "Windows") {
		var tempFolder = Folder.temp;
		var f = File(tempFolder + "/DecouperDoc416.txt");
	}
	else {
		var f = new File("~/Library/Preferences/DecouperDoc416.txt");
	}
	var fileIsOpen = f.open("r");
	if (fileIsOpen) {
		try {
			allPrefs = f.read();
			f.close();
		}
		catch (e) {
			try {
				f.close();
			}
			catch (e) {
			}
		}
	}
	return allPrefs;
}

// prparer et afficher le dialogue de dcision
function askUser1() {
	try {
		app.dialogs.everyItem().destroy();
	}
	catch (e) {
	}
	var labelWidth0 = 16;
	var labelWidth1 =  4;
	var aDialog = app.dialogs.add({name:"Dcouper un document"});
	with (aDialog) {
		with (dialogColumns.add()) {
			with (dialogRows.add()) {
				staticTexts.add({staticLabel:" ", minWidth:labelWidth0});
				staticTexts.add({staticLabel:"Slectionner le critre de sparation:"});
				staticTexts.add({staticLabel:" ", minWidth:labelWidth0});
			}
			with (dialogRows.add()) {
				with (borderPanels.add()) {
					with (dialogColumns.add()) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:" ", minWidth:labelWidth1});
							with(refButtons = radiobuttonGroups.add()) {
								radiobuttonControls.add({staticLabel:"Des pages de dpart", checkedState:rb01});
								radiobuttonControls.add({staticLabel:"Le nombre de documents partiels", checkedState:rb02});
								radiobuttonControls.add({staticLabel:"Le nombre de planches", checkedState:rb03});
								radiobuttonControls.add({staticLabel:"Chaque page devient un document", checkedState:rb04});
								radiobuttonControls.add({staticLabel:"Extraire des ranges de pages", checkedState:rb05});
								radiobuttonControls.add({staticLabel:"Style de paragraphe (dbut de chapitre)", checkedState:rb06});
								radiobuttonControls.add({staticLabel:"Style d'objet", checkedState:rb07});
								radiobuttonControls.add({staticLabel:"Intitul de script", checkedState:rb08});
								radiobuttonControls.add({staticLabel:"Premier bloc de chaque chane de texte", checkedState:rb09});
							}
						}
					}
				}
			}
		}
	}
	if(aDialog.show() == true) {
		var refDec = refButtons.selectedButton;
		// supprimer le dialogue
		aDialog.destroy();
		// un premier test
		return refDec;
	}
	else {
		aDialog.destroy();
		exit();
	}
}

// prparer et afficher le deuxime dialogue
function askUser2(userDec) {
	var labelWidth0 =  58;
	var labelWidth1 =  68;
	var labelWidth2 =  75;
	var labelWidth3 = 205;
	var labelWidth4 = 215;
	var fieldWidth  = 358;
	var aDialog = app.dialogs.add({name:"Dcouper un document"});
	with (aDialog) {
		with (dialogColumns.add()) {
			if (userDec == 0) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Des pages de dpart (par ex. 1,5,8,12):"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				with (dialogRows.add()) {
					var pagesField = textEditboxes.add({editContents:pNum0, minWidth:fieldWidth});
				}
			}
			else if (userDec == 1) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Le nombre de documents partiels:"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				with (dialogRows.add()) {
					var pagesField = textEditboxes.add({editContents:pNum1, minWidth:fieldWidth});
				}
			}
			else if (userDec == 2) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Le nombre de planches par tranche:"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				with (dialogRows.add()) {
					var pagesField = textEditboxes.add({editContents:pNum2, minWidth:fieldWidth});
				}
			}
			else if (userDec == 3) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"[ Chaque page devient un document ]"});
					staticTexts.add({staticLabel:" ", minWidth:labelWidth2});
				}
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:" ", minWidth:labelWidth1+10});
					with (numberButtons = radiobuttonGroups.add()) {
						radiobuttonControls.add({staticLabel:"avec le numro de page d'origine", checkedState:rb11});
						radiobuttonControls.add({staticLabel:"chaque page avec le numro 1", checkedState:rb12});
					}
				}
			}
			else if (userDec == 4) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Extraire des ranges de pages (par ex. 1, 2-3, 4-7, 8):"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				with (dialogRows.add()) {
					var pagesField = textEditboxes.add({editContents:pNum4, minWidth:fieldWidth});
				}
			}
			else if (userDec == 5) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Slectionner le style de para \"sparation\":"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				var paraName = dropdowns.add({stringList:allStyleNames, selectedIndex:sepIndex, minWidth:180});
			}
			else if (userDec == 6) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Slectionner le style d'objet \"sparation\":"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				var objName = dropdowns.add({stringList:persObjStyles, selectedIndex:objIndex, minWidth:180});
			}
			else if (userDec == 7) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"Taper l'tiquette de script:"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
				with (dialogRows.add()) {
					var pagesField = textEditboxes.add({editContents:pNum7, minWidth:fieldWidth});
				}
			}
			else if (userDec == 8) {
				with (dialogRows.add()) {
					staticTexts.add({staticLabel:"[ Le premier bloc de chaque chane de texte ]"});
					staticTexts.add({staticLabel:" ", minWidth:10});
				}
			}
			staticTexts.add({staticLabel:" ", minWidth:labelWidth1});
			with (borderPanels.add()) {
				with (dialogColumns.add()) {
					with (dialogRows.add()) {
						staticTexts.add({staticLabel:" ", minWidth:labelWidth1});
						staticTexts.add({staticLabel:"La valeur du premir numro d'ordre", minWidth:labelWidth1});
						var startNbr = integerEditboxes.add({editValue:stNr, minWidth:36, minimumValue:1, maximumValue:9999});
					}
					with (dialogRows.add()) {
						staticTexts.add({staticLabel:" ", minWidth:labelWidth1});
						var oChk = checkboxControls.add({staticLabel:"Des numros de pages au lieu de ceux dordre", checkedState:oSt, minWidth:labelWidth2});
					}
					with (dialogRows.add()) {
						staticTexts.add({staticLabel:" ", minWidth:labelWidth1});
						var bChk = checkboxControls.add({staticLabel:"Dcouper les blocs traversant le pli", checkedState:bSt, minWidth:labelWidth2});
					}
				}
			}
		}
		with (dialogColumns.add()) {
			with (dialogRows.add()) {
				staticTexts.add({staticLabel:" ", minWidth:4});
			}
		}
	}
	if(aDialog.show() == true) {
		var refDec = userDec;
		if (refDec == 0) {
			pNum0 = pagesField.editContents;
		}
		else if (refDec == 1) {
			pNum1 = pagesField.editContents;
		}
		else if (refDec == 2) {
			pNum2 = pagesField.editContents;
		}
		else if (refDec == 3) {
			nrDec = numberButtons.selectedButton;;
		}
		else if (refDec == 4) {
			pNum4 = pagesField.editContents;
		}
		else if (refDec == 5) {
			pName = allStyleNames[paraName.selectedIndex];
		}
		else if (refDec == 6) {
			oName = persObjStyles[objName.selectedIndex];
		}
		else if (refDec == 7) {
			pNum7 = pagesField.editContents;
		}
		var sNbr = startNbr.editValue;
		var oDec = oChk.checkedState;
		var bDec = bChk.checkedState;
		// supprimer le dialogue
		aDialog.destroy();
		// la liste des rglages...
		var prefsList = new Array (refDec, pNum0, pNum1, pNum2, pNum4, pName, oName, pNum7, sNbr, oDec, bDec, nrDec);
		// ... la transformer en une chane de texte...
		var prefString = prefsList.join("\n");
		// ... et l'envoyer  la fonction qui l'crit dans un fichier
		writeResult(prefString);
		// ... et un retour  l'appel de la fonction
		return prefsList;
	}
	else {
		aDialog.destroy();
		exit();
	}
}

// vrifier l'insrtion
function testEntry(nPages) {
	if (nPages == totPages) {
		alert ("Le nombre de planches du document (= " + totPages + ") est identique\nau nombre dsire par section (= " + nPages + ")", "Attention");
		exit();
	}
	if (nPages > totPages) {
		alert ("Le nombre de planches du document (= " + totPages + ") est plus petit que\nle nombre dsire par section (= " + nPages + ")", "Attention");
		exit();
	}
}

// la fonction qui trie des chanes de nombres
function numSort(a, b) {
	return a - b;
}

// cette fonction tente de diviser des objets traversant le pli
function splitFrames(endSpreadInd, docFol, docName) {
	// modifier l'origine des units de la rgle  "Dos"
	var rO = (curDoc.viewPreferences.rulerOrigin)*1;
	if (rO != 1380143984) {
		curDoc.viewPreferences.rulerOrigin = RulerOrigin.spineOrigin;
	}
	
	// mmoriser le verrouillage des calques et l'annuler (si ncessaire)
	var allLayers = curDoc.layers;
	var nLayers = allLayers.length;
	var layerLocks = new Array ();
	for (var i=0; i<nLayers; i++) {
		if (allLayers[i].locked == true) {
			allLayers[i].locked = false;
			layerLocks.push(true);
		}
		else {
			layerLocks.push(false);
		}
	}
	
	// une boucle  travers les planches
	for (var i=0; i<endSpreadInd.length; i++) {
			if (curDoc.spreads[endSpreadInd[i]].pages.length == 2) {
			var master0 = curDoc.spreads[endSpreadInd[i]].pages[0].appliedMaster;
			var master1 = curDoc.spreads[endSpreadInd[i]].pages[1].appliedMaster;
			if (master0 == master1) {
				try {
					var masterItems = curDoc.spreads[endSpreadInd[i]].appliedMaster.pageItems;
					for (var k=0; k<masterItems.length; k++) {
						var curItem = masterItems[k];
						var vB = curItem.visibleBounds;
						if (vB[1] < 0 && vB[3] > 0) {
							if ((vB[1]-(vB[1]*2)) >= vB[3]) {
								try {
									curItem.override(curDoc.spreads[endSpreadInd[i]].pages[0]);
								}
								catch (e) {
								}
							}
							else {
								try {
									curItem.override(curDoc.spreads[endSpreadInd[i]].pages[1]);
								}
								catch (e) {
								}
							}
						}
					}
				}
				catch (e) {
				}
			}
			else {
				curDoc.spreads[endSpreadInd[i]].pages[1].appliedMaster = master0;
				try {
					var masterItems0 = curDoc.spreads[endSpreadInd[i]].pages[0].appliedMaster.pageItems;
					for (var k=0; k<masterItems0.length; k++) {
						var curItem = masterItems0[k];
						var vB = curItem.visibleBounds;
						if (vB[1] < 0 && vB[3] > 0) {
							if ((vB[1]-(vB[1]*2)) >= vB[3]) {
								try {
									curItem.override(curDoc.spreads[endSpreadInd[i]].pages[0]);
								}
								catch (e) {
								}
							}
							else {
								try {
									curItem.override(curDoc.spreads[endSpreadInd[i]].pages[1]);
								}
								catch (e) {
								}
							}
						}
					}
				}
				catch (e) {
				}
				try {
					var masterItems1 = curDoc.spreads[endSpreadInd[i]].pages[1].appliedMaster.pageItems;
					for (var k=0; k<masterItems1.length; k++) {
						var curItem = masterItems1[k];
						var vB = curItem.visibleBounds;
						if (vB[1] < 0 && vB[3] > 0) {
							if ((vB[1]-(vB[1]*2)) >= vB[3]) {
								try {
									curItem.override(curDoc.spreads[endSpreadInd[i]].pages[0]);
								}
								catch (e) {
								}
							}
							else {
								try {
									curItem.override(curDoc.spreads[endSpreadInd[i]].pages[1]);
								}
								catch (e) {
								}
							}
						}
					}
				}
				catch (e) {
				}
				curDoc.spreads[endSpreadInd[i]].pages[0].appliedMaster = master1;
				curDoc.spreads[endSpreadInd[i]].pages[1].appliedMaster = master1;
				try {
					var masterItems0 = curDoc.spreads[endSpreadInd[i]].pages[0].appliedMaster.pageItems;
					for (var k=0; k<masterItems0.length; k++) {
						var curItem = masterItems0[k];
						var vB = curItem.visibleBounds;
						if (vB[1] < 0 && vB[3] > 0) {
							if ((vB[1]-(vB[1]*2)) >= vB[3]) {
								try {
									curItem.override(curDoc.spreads[endSpreadInd[i]].pages[0]);
								}
								catch (e) {
								}
							}
							else {
								try {
									curItem.override(curDoc.spreads[endSpreadInd[i]].pages[1]);
								}
								catch (e) {
								}
							}
						}
					}
				}
				catch (e) {
				}
				try {
					var masterItems1 = curDoc.spreads[endSpreadInd[i]].pages[1].appliedMaster.pageItems;
					for (var k=0; k<masterItems1.length; k++) {
						var curItem = masterItems1[k];
						var vB = curItem.visibleBounds;
						if (vB[1] < 0 && vB[3] > 0) {
							if ((vB[1]-(vB[1]*2)) >= vB[3]) {
								try {
									curItem.override(curDoc.spreads[endSpreadInd[i]].pages[0]);
								}
								catch (e) {
								}
							}
							else {
								try {
									curItem.override(curDoc.spreads[endSpreadInd[i]].pages[1]);
								}
								catch (e) {
								}
							}
						}
					}
				}
				catch (e) {
				}
				curDoc.spreads[endSpreadInd[i]].pages[0].appliedMaster = master0;
			}
			var allItems = curDoc.spreads[endSpreadInd[i]].allPageItems;
			for (var k=allItems.length-1; k>-1; k--) {
				var curItem = allItems[k];
				var curType = curItem.constructor.name;
				if (curType != "Image" && curType != "Group") {
					var rA = curItem.rotationAngle;
					if (rA%90 == 0) {
						var sW = curItem.strokeWeight;
						var isLocked = false;
						if (curItem.locked == true) {
							curItem.locked = false;
							isLocked = true;
						}
						var vB = curItem.visibleBounds;
						if (vB[1] < 0 && vB[3] > 0) {
							try {
								newItem = curItem.duplicate();
								newItem.visibleBounds = [vB[0], 0, vB[2], vB[3]];
								curItem.visibleBounds = [vB[0], vB[1], vB[2], 0];
								if (sW != 0 && curType != "GraphicLine") {
									// aligner le contour  l'intrieur
									curItem.strokeAlignment = StrokeAlignment.insideAlignment;
									newItem.strokeAlignment = StrokeAlignment.insideAlignment;
								// ouvrir le trac et placer les points
									curItem.paths[0].properties = {pathType:PathType.OPEN_PATH};
									curItem.paths[0].entirePath = [[0, vB[2]], [vB[1], vB[2]], [vB[1], vB[0]], [0, vB[0]]];
									newItem.paths[0].properties = {pathType:PathType.OPEN_PATH};
									newItem.paths[0].entirePath = [[0, vB[0]], [vB[3], vB[0]], [vB[3], vB[2]], [0, vB[2]]];
								}
								if (isLocked) {
									curItem.locked = true;
									newItem.locked = true;
								}
							}
							catch (e) {
							}
						}
					}
				}
			}
		}
	}
	// enregistrer le document sous le nouveau nom
	var tmpPath = docFol + "/" + docName + "_tmp.indd";
	app.activeDocument.save(new File(tmpPath));
	return [rO, tmpPath];
}

// supprimer les blocs de gabarit traversant le pli sur les pages de droite
function delMasterFramesStart() {
	try {
		var masterItems = app.activeDocument.spreads[0].appliedMaster.pageItems;
		for (var k=(masterItems.length)-1; k>-1; k--) {
			var curItem = masterItems[k];
			var vB = curItem.visibleBounds;
			if (vB[1] < 0 && vB[3] > 0) {
				try {
					tmpItem = curItem.override(app.activeDocument.spreads[0].pages[0]);
					tmpItem.remove();
				}
				catch (e) {
				}
			}
		}
	}
	catch (e) {
	}
}

// supprimer les blocs de gabarit traversant le pli sur les pages de gauche
function delMasterFramesEnd() {
	nSpreads = app.activeDocument.spreads.length;
	try {
		var masterItems = app.activeDocument.spreads[nSpreads-1].appliedMaster.pageItems;
		for (var k=(masterItems.length)-1; k>-1; k--) {
			var curItem = masterItems[k];
			var vB = curItem.visibleBounds;
			if (vB[1] < 0 && vB[3] > 0) {
				try {
					tmpItem = curItem.override(app.activeDocument.spreads[nSpreads-1].pages[0]);
					tmpItem.remove();
				}
				catch (e) {
				}
			}
		}
	}
	catch (e) {
	}
}

// crire le rsultat dans un fichier
function writeResult(curPrefs) {
	if ($.os.slice(0,7) == "Windows") {
		var tempFolder = Folder.temp;
		var f = File(tempFolder + "/DecouperDoc416.txt");
	}
	else {
		var f = new File("~/Library/Preferences/DecouperDoc416.txt");
	}
	var fileIsOpen = f.open("w");
	if (fileIsOpen) {
		try {
			f.write(curPrefs);
			f.close();
		}
		catch (e) {
			try {
				f.close();
			}
			catch (e) {
			}
		}
	}
}